"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.random = void 0;
const originalMatRandom = Math.random;
function random(from = null, to = null, int = true) {
    if (from == null && to == null) {
        return originalMatRandom();
    }
    if (from == null) {
        from = 0;
    }
    if (to == null) {
        to = Number.MAX_VALUE / 2 - 1;
    }
    const random = originalMatRandom() * (to - from) + from;
    if (int) {
        return Math.floor(random);
    }
    else {
        return random;
    }
}
exports.random = random;
//# sourceMappingURL=random.js.map