import { BaseModel, BaseModelPart, StrictBaseModelPart } from '../utils/base.model';
export declare class SynchronizationConfiguration<T = any> extends BaseModel<SynchronizationConfiguration<T>, 'refresh' | 'notify' | 'valueChanged' | 'clearFunctions' | 'refreshLocalValueFunctions' | 'refreshFunctions' | 'clear' | 'refreshLocalValue'> {
    GetDefaultValue(): StrictBaseModelPart<SynchronizationConfiguration<T>, 'refresh' | 'notify' | 'valueChanged' | 'clearFunctions' | 'refreshLocalValueFunctions' | 'refreshFunctions' | 'clear' | 'refreshLocalValue'>;
    static ON_STORAGE_EVENT: (e: StorageEvent) => void;
    static ngZoneRun: (callback: () => void) => void;
    protected BASE_TYPE: typeof SynchronizationConfiguration;
    storage: Storage;
    prefix?: string;
    skipZoneUpdate: boolean;
    takeAlwaysFromStorage: boolean;
    keys: string[];
    refreshFunctions: (() => void)[];
    refreshLocalValueFunctions: (() => void)[];
    clearFunctions: (() => void)[];
    private _valueChanged;
    valueChanged: import("rxjs").Observable<void>;
    onStorageEvent?: (e: StorageEvent) => void;
    constructor(...parts: BaseModelPart<SynchronizationConfiguration>[]);
    notify(): void;
    refresh(): void;
    refreshLocalValue(): void;
    clear(): void;
}
//# sourceMappingURL=SynchronizationConfiguration.d.ts.map