"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiResponse = exports.ApiFailResponse = exports.ApiSuccessResponse = void 0;
const tslib_1 = require("tslib");
const utils_1 = require("./utils");
const utils_2 = require("./utils");
class Test extends utils_1.BaseModel {
    constructor() {
        super(...arguments);
        this.BASE_TYPE = Test;
    }
    GetDefaultValue() {
        return {
            item: 'default',
        };
    }
}
tslib_1.__decorate([
    utils_2.Property(() => utils_2.createTypeMap([
        [(obj) => typeof obj == 'object', Child],
        [(obj) => typeof obj == 'string', Date],
        [obj => typeof obj == 'number', null]
    ])),
    tslib_1.__metadata("design:type", Array)
], Test.prototype, "child", void 0);
class Child extends utils_1.BaseModel {
    constructor() {
        super(...arguments);
        this.BASE_TYPE = Child;
    }
    GetDefaultValue() {
        return {
            childItem: 'default child',
        };
    }
}
const testObject = {
    item: 'asdas',
    child: ['2012-01-01T00:00:01Z', { childItem: 'asd' }, 2, true],
};
const testItem = new Test(testObject);
class ApiSuccessResponse extends utils_1.BaseModel {
    constructor() {
        super(...arguments);
        this.BASE_TYPE = ApiSuccessResponse;
    }
    GetDefaultValue() {
        return {};
    }
}
exports.ApiSuccessResponse = ApiSuccessResponse;
class ApiFailResponse extends utils_1.BaseModel {
    constructor() {
        super(...arguments);
        this.BASE_TYPE = ApiFailResponse;
    }
    GetDefaultValue() {
        return {};
    }
}
exports.ApiFailResponse = ApiFailResponse;
class ApiResponse extends utils_1.BaseModel {
    constructor() {
        super(...arguments);
        this.BASE_TYPE = ApiResponse;
    }
    GetDefaultValue() {
        return {};
    }
}
tslib_1.__decorate([
    utils_2.Property(() => utils_2.createTypeMap([
        [(obj) => obj.success === true, ApiSuccessResponse],
        [(obj) => obj.success === false, ApiFailResponse],
    ])),
    tslib_1.__metadata("design:type", Object)
], ApiResponse.prototype, "response", void 0);
exports.ApiResponse = ApiResponse;
const response = [
    {
        success: false,
        payload: null,
    },
    [
        [
            {
                success: true,
                payload: null,
            },
        ],
    ],
];
const apiResponse = new ApiResponse({ response });
console.log(testItem, (_a = apiResponse.response) === null || _a === void 0 ? void 0 : _a[1][0]);
//# sourceMappingURL=test.js.map