export declare class CancelationTokenStore {
    constructor();
    createToken(parentToken?: CancelationToken): CancelationToken;
    cancel(token: CancelationToken): void;
}
export declare class CancelationToken {
    private static readonly DEFAULTS;
    store?: CancelationTokenStore;
    isCanceled: boolean;
    parentToken?: CancelationToken;
    childTokens: CancelationToken[];
    cancelationMessage: string;
    constructor(...parts: Partial<CancelationToken>[]);
    throwIfCanceled(errorMessage?: string): void;
    getCancelationError(errorMessage?: string): OperationCanceled;
    cancel(): void;
}
export declare class OperationCanceled extends Error {
    constructor(message: string);
}
//# sourceMappingURL=cancelation-token.d.ts.map