"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DoubleStateItem = void 0;
const base_model_1 = require("./base.model");
class DoubleStateItem extends base_model_1.BaseModel {
    constructor(...parts) {
        super(...parts);
        this.BASE_TYPE = DoubleStateItem;
    }
    GetDefaultValue() {
        return {
            isToggled: false
        };
    }
    get state() {
        if (this.isToggled) {
            return this.toggledState;
        }
        else {
            return this.normalState;
        }
    }
    toggle() {
        this.isToggled = !this.isToggled;
    }
}
exports.DoubleStateItem = DoubleStateItem;
//# sourceMappingURL=double-state-item.js.map