(function(){function r(e,n,t){function o(i,f){if(!n[i]){if(!e[i]){var c="function"==typeof require&&require;if(!f&&c)return c(i,!0);if(u)return u(i,!0);var a=new Error("Cannot find module '"+i+"'");throw a.code="MODULE_NOT_FOUND",a}var p=n[i]={exports:{}};e[i][0].call(p.exports,function(r){var n=e[i][1][r];return o(n||r)},p,p.exports,r,e,n,t)}return n[i].exports}for(var u="function"==typeof require&&require,i=0;i<t.length;i++)o(t[i]);return o}return r})()({1:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsoleGroupAsync = exports.ConsoleGroup = void 0;
const tslib_1 = require("tslib");
function ConsoleGroup(enterMessage, leaveMessage) {
    return function (target, propertyKey, descriptor) {
        const oldFunction = target[propertyKey];
        descriptor.value = function (...args) {
            console.group(enterMessage ? enterMessage(...args) : `starting ${propertyKey}`);
            try {
                return oldFunction.bind(this)(...args);
            }
            finally {
                console.log(leaveMessage ? leaveMessage(...args) : `ending ${propertyKey}`);
                console.groupEnd();
            }
        };
    };
}
exports.ConsoleGroup = ConsoleGroup;
function ConsoleGroupAsync(enterMessage, leaveMessage) {
    return function (target, propertyKey, descriptor) {
        const oldFunction = target[propertyKey];
        descriptor.value = function (...args) {
            return tslib_1.__awaiter(this, void 0, void 0, function* () {
                console.group(enterMessage ? enterMessage(...args) : `starting ${propertyKey}`);
                try {
                    return yield oldFunction.bind(this)(...args);
                }
                finally {
                    console.log(leaveMessage ? leaveMessage(...args) : `ending ${propertyKey}`);
                    console.groupEnd();
                }
            });
        };
    };
}
exports.ConsoleGroupAsync = ConsoleGroupAsync;

},{"tslib":undefined}],2:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
tslib_1.__exportStar(require("./console-group.decorator"), exports);
tslib_1.__exportStar(require("./on-change.decorator"), exports);

},{"./console-group.decorator":1,"./on-change.decorator":3,"tslib":undefined}],3:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnChange = void 0;
function OnChange(predicate) {
    return (target, propertyName, descriptor = Object.getOwnPropertyDescriptor(target, propertyName)) => {
        if (!descriptor) {
            descriptor = {
                set: function (value) {
                    this[`$OnChange.${propertyName}`] = value;
                },
                get: function () {
                    return this[`$OnChange.${propertyName}`];
                },
                configurable: true
            };
            Object.defineProperty(target, propertyName, descriptor);
        }
        const getFunc = descriptor.get;
        const setFunc = descriptor.set;
        Object.defineProperty(target, propertyName, {
            get: function () {
                return getFunc === null || getFunc === void 0 ? void 0 : getFunc.call(this);
            },
            set: function (v) {
                setFunc === null || setFunc === void 0 ? void 0 : setFunc.call(this, v);
                predicate(this);
            },
            configurable: true
        });
    };
}
exports.OnChange = OnChange;

},{}],4:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
tslib_1.__exportStar(require("./passgen"), exports);
tslib_1.__exportStar(require("./random"), exports);

},{"./passgen":5,"./random":6,"tslib":undefined}],5:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generatePassword = void 0;
const random_1 = require("./random");
function generatePassword(minLength = 8, maxLength = 12) {
    const digits = '1234567890';
    const symbols = '_!#$';
    const upperCase = 'ABCDEFGHKL';
    const lowerCase = 'mnpqrstuvwxyz';
    const password = [];
    const all = `${digits}${symbols}${upperCase}${lowerCase}`;
    for (let i = 0; i < random_1.random(minLength, maxLength, true); i++) {
        const symbolIndex = random_1.random(0, all.length - 1, true);
        password.splice(0, 0, all[symbolIndex]);
    }
    if (!password.some(d => digits.includes(d))) {
        const insertIndex = random_1.random(0, password.length - 1, true);
        const symbolIndex = random_1.random(0, digits.length - 1, true);
        password.splice(insertIndex, 0, digits[symbolIndex]);
    }
    if (!password.some(d => symbols.includes(d))) {
        const insertIndex = random_1.random(0, password.length - 1, true);
        const symbolIndex = random_1.random(0, symbols.length - 1, true);
        password.splice(insertIndex, 0, symbols[symbolIndex]);
    }
    if (!password.some(d => upperCase.includes(d))) {
        const insertIndex = random_1.random(0, password.length - 1, true);
        const symbolIndex = random_1.random(0, upperCase.length - 1, true);
        password.splice(insertIndex, 0, upperCase[symbolIndex]);
    }
    if (!password.some(d => lowerCase.includes(d))) {
        const insertIndex = random_1.random(0, password.length - 1, true);
        const symbolIndex = random_1.random(0, lowerCase.length - 1, true);
        password.splice(insertIndex, 0, lowerCase[symbolIndex]);
    }
    return password.join('');
}
exports.generatePassword = generatePassword;

},{"./random":6}],6:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.random = void 0;
const originalMatRandom = Math.random;
function random(from = null, to = null, int = true) {
    if (from == null && to == null) {
        return originalMatRandom();
    }
    if (from == null) {
        from = 0;
    }
    if (to == null) {
        to = Number.MAX_VALUE / 2 - 1;
    }
    const random = originalMatRandom() * (to - from) + from;
    if (int) {
        return Math.floor(random);
    }
    else {
        return random;
    }
}
exports.random = random;

},{}],7:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
tslib_1.__exportStar(require("./public_api"), exports);

},{"./public_api":8,"tslib":undefined}],8:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
tslib_1.__exportStar(require("./utils"), exports);
tslib_1.__exportStar(require("./decorators"), exports);
tslib_1.__exportStar(require("./functions"), exports);
tslib_1.__exportStar(require("./synchronization"), exports);

},{"./decorators":2,"./functions":4,"./synchronization":10,"./utils":17,"tslib":undefined}],9:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SynchronizationConfiguration = void 0;
const rxjs_1 = require("rxjs");
const base_model_1 = require("../utils/base.model");
class SynchronizationConfiguration extends base_model_1.BaseModel {
    constructor(...parts) {
        super({ skipZoneUpdate: false }, ...parts);
        this.BASE_TYPE = SynchronizationConfiguration;
        this.keys = [];
        this.refreshFunctions = [];
        this.refreshLocalValueFunctions = [];
        this.clearFunctions = [];
        this._valueChanged = new rxjs_1.Subject();
        this.valueChanged = this._valueChanged.asObservable();
    }
    GetDefaultValue() {
        return { skipZoneUpdate: false, storage: localStorage, keys: [], takeAlwaysFromStorage: false };
    }
    notify() {
        if (SynchronizationConfiguration && SynchronizationConfiguration.ngZoneRun && !this.skipZoneUpdate) {
            SynchronizationConfiguration.ngZoneRun(() => {
                this._valueChanged.next();
            });
        }
        else {
            this._valueChanged.next();
        }
    }
    refresh() {
        if (this.takeAlwaysFromStorage) {
            throw new Error('"refresh" function can only be used when "takeAlwaysFromStorage" is false');
        }
        this.refreshFunctions.forEach((f) => f());
        this.notify();
    }
    refreshLocalValue() {
        if (this.takeAlwaysFromStorage) {
            throw new Error('"refreshLocalValue" function can only be used when "takeAlwaysFromStorage" is false');
        }
        this.refreshLocalValueFunctions.forEach((f) => f());
        this.notify();
    }
    clear() {
        this.clearFunctions.forEach((f) => f());
        this.notify();
    }
}
exports.SynchronizationConfiguration = SynchronizationConfiguration;

},{"../utils/base.model":12,"rxjs":undefined}],10:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
tslib_1.__exportStar(require("./synchronize.decorator"), exports);
tslib_1.__exportStar(require("./SynchronizationConfiguration"), exports);

},{"./SynchronizationConfiguration":9,"./synchronize.decorator":11,"tslib":undefined}],11:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Synchronize = void 0;
const SynchronizationConfiguration_1 = require("./SynchronizationConfiguration");
function Synchronize(config, create, save, runOnInit) {
    return function (target, propertyName) {
        const ownDescriptor = Object.getOwnPropertyDescriptor(target, propertyName);
        let localValue = undefined;
        const key = `${config.prefix}.${propertyName}`;
        config.keys.push(key);
        function getFromStorage() {
            let value = config.storage.getItem(key);
            value = value !== null ? JSON.parse(value) : value;
            if (create && value) {
                value = create(value);
            }
            return value;
        }
        const symbol = Symbol("eventValue");
        function getItem(eventValue = symbol) {
            if (!config.takeAlwaysFromStorage &&
                localValue &&
                eventValue === symbol) {
                return localValue;
            }
            else {
                let value = eventValue !== symbol ? eventValue : config.storage.getItem(key);
                value = value !== null ? JSON.parse(value) : value;
                if (create && value) {
                    value = create(value);
                }
                if (value !== localValue) {
                    localValue = value;
                    config.notify();
                }
                return localValue;
            }
        }
        localValue = getFromStorage();
        window.addEventListener("storage", (e) => {
            if (e.key === key) {
                localValue = getItem(e.newValue);
                config.notify();
                if (config.onStorageEvent) {
                    config.onStorageEvent(e);
                }
                if (SynchronizationConfiguration_1.SynchronizationConfiguration.ON_STORAGE_EVENT) {
                    SynchronizationConfiguration_1.SynchronizationConfiguration.ON_STORAGE_EVENT(e);
                }
            }
        });
        function setItem(value) {
            localValue = value;
            if (value === undefined) {
                config.storage.removeItem(key);
            }
            else {
                config.storage.setItem(key, JSON.stringify(save ? save(localValue) : localValue));
            }
            config.notify();
        }
        config.refreshFunctions.push(() => {
            setItem(localValue);
        });
        config.refreshLocalValueFunctions.push(() => {
            localValue = getFromStorage();
        });
        config.clearFunctions.push(() => {
            config.storage.removeItem(key);
            localValue = undefined;
        });
        const descriptor = {
            configurable: true,
            get: () => {
                return getItem();
            },
            set: (v) => {
                setItem(v);
            },
        };
        Object.defineProperty(target, propertyName, descriptor);
        if (runOnInit) {
            runOnInit();
        }
    };
}
exports.Synchronize = Synchronize;

},{"./SynchronizationConfiguration":9}],12:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotMapped = exports.EnumProperty = exports.Property = exports.createTypeMap = exports.BaseModel = void 0;
require("reflect-metadata");
const ENUM_PROPERTIES = Symbol('ENUM_PROPERTIES');
const NOT_MAPPED_PROPERTIES = Symbol('NOT_MAPPED_PROPERTIES');
const INIT_PROPERTIES = Symbol('INIT_PROPERTIES');
const INIT_ARRAY_PROPERTIES = Symbol('INIT_ARRAY_PROPERTIES');
class BaseModel {
    constructor(...parts) {
        const defaultValue = this.GetDefaultValue();
        Object.assign(this, defaultValue, ...parts);
        this.InitializeEnumProperties();
        this.InitializeProperties();
    }
    ToFormData(fields = null) {
        if (fields == null) {
            fields = Object.keys(this).filter((field) => field != 'BASE_TYPE');
        }
        const formData = new FormData();
        fields.forEach((field) => {
            const fieldValue = this[field];
            if (fieldValue instanceof File) {
                formData.append(field, fieldValue, fieldValue.name);
            }
            else if (fieldValue instanceof Date) {
                formData.append(field, fieldValue.toISOString());
            }
            else {
                formData.append(field, `${fieldValue}`);
            }
        });
        return formData;
    }
    ToPlainObject() {
        const keys = Object.keys(this);
        const obj = {};
        keys.forEach((key) => {
            var value = this[key];
            if (typeof value != 'function') {
                if (value instanceof BaseModel) {
                    obj[key] = value.ToPlainObject();
                }
                else {
                    obj[key] = value;
                }
            }
        });
        return obj;
    }
    InitializeProperties() {
        var _a;
        (_a = this[INIT_PROPERTIES]) === null || _a === void 0 ? void 0 : _a.forEach((prop) => {
            const ctrFactory = Reflect.getMetadata('design:initialize-property', this, prop);
            this[prop] = this.CreateItem2(this[prop], ctrFactory());
        });
    }
    CreateItem2(item, ctrOrMap) {
        var _a;
        if (item == null) {
            return item;
        }
        if (Array.isArray(item)) {
            return item.map((i) => this.CreateItem2(i, ctrOrMap));
        }
        else {
            let ctr = ctrOrMap;
            if (ctrOrMap instanceof Map) {
                const ctrs = Array.from(ctrOrMap);
                ctr = (_a = ctrs.find((i) => i[0](item))) === null || _a === void 0 ? void 0 : _a[1];
            }
            if (ctr) {
                if (item instanceof ctr) {
                    return item;
                }
                else {
                    return new ctr(item);
                }
            }
            else {
                return item;
            }
        }
    }
    InitializeEnumProperties() {
        const enums = this[ENUM_PROPERTIES];
        if (!enums) {
            return;
        }
        enums.forEach((enumProperty) => {
            if (this[enumProperty.propertyName] != null && typeof this[enumProperty.propertyName] === 'string') {
                const enumType = enumProperty.enumPropertyFactory();
                this[enumProperty.propertyName] = enumType[this[enumProperty.propertyName]];
            }
        });
    }
    ToStringEnumsModel() {
        const model = new this.BASE_TYPE(this);
        const enums = this[ENUM_PROPERTIES];
        if (!enums) {
            return model;
        }
        enums.forEach((enumProperty) => {
            if (model[enumProperty.propertyName] != null) {
                const enumType = enumProperty.enumPropertyFactory();
                model[enumProperty.propertyName] = enumType[model[enumProperty.propertyName]];
            }
        });
        return model;
    }
    Clone(...parts) {
        const model = new this.BASE_TYPE(this.ToPlainObject(), ...parts);
        return model;
    }
}
exports.BaseModel = BaseModel;
function createTypeMap(typeMap) {
    return new Map(typeMap);
}
exports.createTypeMap = createTypeMap;
function Property(ctr) {
    return (target, propertyName) => {
        if (!target[INIT_PROPERTIES]) {
            target[INIT_PROPERTIES] = [];
        }
        target[INIT_PROPERTIES].push(propertyName);
        Reflect.metadata('design:initialize-property', ctr)(target, propertyName);
    };
}
exports.Property = Property;
function EnumProperty(enumPropertyFactory) {
    return (target, propertyName) => {
        if (!target[ENUM_PROPERTIES]) {
            target[ENUM_PROPERTIES] = [];
        }
        target[ENUM_PROPERTIES].push({
            propertyName,
            enumPropertyFactory,
        });
    };
}
exports.EnumProperty = EnumProperty;
const NotMapped = () => {
    return (target, propertyName) => {
        if (!target[NOT_MAPPED_PROPERTIES]) {
            target[NOT_MAPPED_PROPERTIES] = [];
        }
        target[NOT_MAPPED_PROPERTIES].push(propertyName);
    };
};
exports.NotMapped = NotMapped;

},{"reflect-metadata":undefined}],13:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Base64 = void 0;
const tslib_1 = require("tslib");
const js_base64_1 = require("js-base64");
class Base64 {
    static toBase64(obj) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            if (obj instanceof Blob) {
                return yield Base64._read(obj);
            }
            else if (obj instanceof ArrayBuffer) {
                const blob = new Blob([obj], { type: 'application/octet-binary' });
                return yield Base64._read(blob);
            }
            else if (typeof obj === 'string') {
                return js_base64_1.Base64.encode(obj);
            }
            else {
                return js_base64_1.Base64.encode(JSON.stringify(obj));
            }
        });
    }
    static decode(base64str, returnType = 'string', contentType) {
        switch (returnType) {
            case 'string':
                return js_base64_1.Base64.decode(base64str);
            case 'object':
                return JSON.parse(js_base64_1.Base64.decode(base64str));
            case 'ArrayBuffer':
                const str2ab = js_base64_1.Base64.atob(base64str);
                return Base64.str2ab(str2ab);
            case 'Blob':
                const str2blob = js_base64_1.Base64.atob(base64str);
                const bytes = Base64.str2ab(str2blob);
                return new Blob([bytes]);
        }
    }
    static str2ab(str) {
        var buf = new ArrayBuffer(str.length * 2);
        var bufView = new Uint16Array(buf);
        for (var i = 0, strLen = str.length; i < strLen; i++) {
            bufView[i] = str.charCodeAt(i);
        }
        return buf;
    }
    static _read(blob) {
        return new Promise((resolve, reject) => {
            const reader = new FileReader();
            reader.onloadend = () => {
                resolve(reader.result);
            };
            reader.onerror = () => {
                reject(reader.error);
            };
            reader.readAsDataURL(blob);
        });
    }
}
exports.Base64 = Base64;

},{"js-base64":undefined,"tslib":undefined}],14:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OperationCanceled = exports.CancelationToken = exports.CancelationTokenStore = void 0;
class CancelationTokenStore {
    constructor() { }
    createToken(parentToken) {
        const token = new CancelationToken({ store: this, parentToken });
        if (parentToken) {
            parentToken.childTokens.push(token);
        }
        return token;
    }
    cancel(token) {
        token.isCanceled = true;
        token.childTokens.forEach(token => token.cancel());
    }
}
exports.CancelationTokenStore = CancelationTokenStore;
class CancelationToken {
    constructor(...parts) {
        Object.assign(this, CancelationToken.DEFAULTS, ...parts);
        if (!this.store) {
            throw new Error('CancelationTokenStore was not provided');
        }
    }
    throwIfCanceled(errorMessage = this.cancelationMessage) {
        if (this.isCanceled) {
            throw this.getCancelationError(errorMessage);
        }
    }
    getCancelationError(errorMessage = this.cancelationMessage) {
        return new OperationCanceled(errorMessage);
    }
    cancel() {
        this.store && this.store.cancel(this);
    }
}
exports.CancelationToken = CancelationToken;
CancelationToken.DEFAULTS = {
    cancelationMessage: 'Operation canceled',
    childTokens: [],
    isCanceled: true
};
class OperationCanceled extends Error {
    constructor(message) {
        super(message);
        Object.setPrototypeOf(this, OperationCanceled.prototype);
    }
}
exports.OperationCanceled = OperationCanceled;

},{}],15:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DoubleStateItem = void 0;
const base_model_1 = require("./base.model");
class DoubleStateItem extends base_model_1.BaseModel {
    constructor(...parts) {
        super(...parts);
        this.BASE_TYPE = DoubleStateItem;
    }
    GetDefaultValue() {
        return {
            isToggled: false
        };
    }
    get state() {
        if (this.isToggled) {
            return this.toggledState;
        }
        else {
            return this.normalState;
        }
    }
    toggle() {
        this.isToggled = !this.isToggled;
    }
}
exports.DoubleStateItem = DoubleStateItem;

},{"./base.model":12}],16:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InMemoryStorage = void 0;
class InMemoryStorage {
    constructor() {
        this._items = [];
    }
    get length() {
        return this._items.length;
    }
    clear() {
        this._items.forEach(item => delete this[item.key]);
        this._items = [];
    }
    getItem(key) {
        return this[key] || null;
    }
    key(index) {
        return this._items[index].key;
    }
    removeItem(key) {
        const itemIndex = this._items.findIndex(i => i.key === key);
        if (itemIndex < 0) {
            return;
        }
        delete this[key];
        this._items.splice(itemIndex, 1);
    }
    setItem(key, value) {
        this[key] = value;
        const existingIndex = this._items.findIndex(i => i.key === key);
        if (existingIndex >= 0) {
            this._items.splice(existingIndex, 1);
        }
        this._items.push({ key, value });
    }
}
exports.InMemoryStorage = InMemoryStorage;
InMemoryStorage.instance = new InMemoryStorage();

},{}],17:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
tslib_1.__exportStar(require("./base.model"), exports);
tslib_1.__exportStar(require("./double-state-item"), exports);
tslib_1.__exportStar(require("./in-memory.storage"), exports);
tslib_1.__exportStar(require("./scheduler"), exports);
tslib_1.__exportStar(require("./base64"), exports);
tslib_1.__exportStar(require("./cancelation-token"), exports);

},{"./base.model":12,"./base64":13,"./cancelation-token":14,"./double-state-item":15,"./in-memory.storage":16,"./scheduler":18,"tslib":undefined}],18:[function(require,module,exports){
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.schedule = void 0;
const tslib_1 = require("tslib");
function schedule(process, callback = () => { }, timeout = 3000) {
    let timer = null;
    let cancel = false;
    const promise = new Promise((resolve, reject) => tslib_1.__awaiter(this, void 0, void 0, function* () {
        let done = false;
        timer = setTimeout(() => {
            if (done && !cancel) {
                resolve();
                callback();
            }
            timer = null;
        }, timeout);
        yield process();
        done = true;
        if (timer == null && !cancel) {
            resolve();
            callback();
        }
    }));
    return {
        awaiter: promise,
        cancel: () => { cancel = true; }
    };
}
exports.schedule = schedule;

},{"tslib":undefined}]},{},[7]);
