import { BaseModel, StrictBaseModelPart } from './utils';
export declare class ApiSuccessResponse extends BaseModel<ApiSuccessResponse> {
    protected BASE_TYPE: typeof ApiSuccessResponse;
    GetDefaultValue(): StrictBaseModelPart<ApiSuccessResponse, never>;
    success?: true;
    payload?: any;
}
export declare class ApiFailResponse extends BaseModel<ApiFailResponse> {
    protected BASE_TYPE: typeof ApiFailResponse;
    GetDefaultValue(): StrictBaseModelPart<ApiFailResponse, never>;
    success?: false;
    errorMessage?: string;
}
export declare class ApiResponse extends BaseModel<ApiResponse> {
    GetDefaultValue(): StrictBaseModelPart<ApiResponse, never>;
    protected BASE_TYPE: typeof ApiResponse;
    response?: (ApiSuccessResponse | ApiFailResponse) | (ApiSuccessResponse | ApiFailResponse)[];
    httpCode?: number;
}
//# sourceMappingURL=test.d.ts.map