export declare class Base64 {
    static toBase64(obj: Blob | ArrayBuffer | string | {
        [key: string]: any;
    }): Promise<unknown>;
    static decode(base64str: string): string;
    static decode(base64str: string, returnType: 'string'): string;
    static decode<T = {
        [key: string]: any;
    }>(base64str: string, returnType: 'object'): T;
    static decode(base64str: string, returnType: 'Blob', contentType?: string): Blob;
    static decode(base64str: string, returnType: 'ArrayBuffer'): ArrayBuffer;
    private static str2ab;
    private static _read;
}
//# sourceMappingURL=base64.d.ts.map