import { BaseModel, BaseModelPart, StrictBaseModelPart } from "./base.model";
export declare class DoubleStateItem<TData = any> extends BaseModel<DoubleStateItem<TData>, 'toggle' | 'state'> {
    GetDefaultValue(): StrictBaseModelPart<DoubleStateItem<TData>, "toggle" | 'state'>;
    protected BASE_TYPE: typeof DoubleStateItem;
    normalState?: TData;
    toggledState?: TData;
    isToggled: boolean;
    get state(): TData | undefined;
    toggle(): void;
    constructor(...parts: BaseModelPart<DoubleStateItem<TData>>[]);
}
//# sourceMappingURL=double-state-item.d.ts.map